package com.ruoyi.abuwx.mapper;

import com.ruoyi.abuwx.domain.UserFavorite;

import java.util.List;

/**
 * 用户收藏记录Mapper接口
 *
 * @author lujie
 * @date 2025-02-05
 */
public interface UserFavoriteMapper
{
    /**
     * 查询用户收藏记录
     *
     * @param id 用户收藏记录主键
     * @return 用户收藏记录
     */
    public UserFavorite selectUserFavoriteById(Long id);

    /**
     * 查询用户收藏记录列表
     *
     * @param userFavorite 用户收藏记录
     * @return 用户收藏记录集合
     */
    public List<UserFavorite> selectUserFavoriteList(UserFavorite userFavorite);

    /**
     * 新增用户收藏记录
     *
     * @param userFavorite 用户收藏记录
     * @return 结果
     */
    public int insertUserFavorite(UserFavorite userFavorite);

    /**
     * 修改用户收藏记录
     *
     * @param userFavorite 用户收藏记录
     * @return 结果
     */
    public int updateUserFavorite(UserFavorite userFavorite);

    /**
     * 删除用户收藏记录
     *
     * @param id 用户收藏记录主键
     * @return 结果
     */
    public int deleteUserFavoriteById(Long id);

    /**
     * 批量删除用户收藏记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserFavoriteByIds(Long[] ids);

    int unFavorite(Long userId, Long contentType, Long contentId);
}
